List test runs
curl --request GET \
--url https://tester.army/api/v1/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://tester.army/api/v1/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tester.army/api/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "ci",
"status": "queued",
"input": {},
"createdAt": "2023-11-07T05:31:56Z",
"platform": "web",
"deviceModel": "iphone",
"source": "api",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"output": {
"featureName": "<string>",
"result": "PASS",
"description": "<string>",
"screenshots": [
"<string>"
],
"blockedReason": {
"category": "environment",
"summary": "<string>",
"errorCodes": [
"AUTH_CREDENTIAL_UNAVAILABLE"
]
},
"issues": [],
"steps": [
{
"stepIndex": 123,
"title": "<string>",
"status": "passed",
"type": "act",
"summary": "<string>",
"error": "<string>",
"errorCode": "AUTH_CREDENTIAL_UNAVAILABLE",
"startedAtMs": 123,
"completedAtMs": 123,
"reusableActionTrace": {
"version": 1,
"stepKey": "<string>",
"stepTitle": "<string>",
"actions": [
{
"order": 1,
"toolName": "<string>",
"summary": "<string>",
"gap": true,
"navigated": true,
"target": {
"kind": "role",
"role": "<string>",
"name": "<string>",
"nth": 1,
"selector": "<string>",
"element": "<string>",
"type": "<string>",
"identifier": "<string>",
"label": "<string>",
"matchCount": 1
},
"source": {
"kind": "role",
"role": "<string>",
"name": "<string>",
"nth": 1,
"selector": "<string>",
"element": "<string>",
"type": "<string>",
"identifier": "<string>",
"label": "<string>",
"matchCount": 1
},
"input": {
"url": "<string>",
"field": "username",
"option": "<string>",
"key": "<string>",
"direction": "up",
"amount": 123,
"deltaX": 123,
"deltaY": 123,
"targetPosition": "center",
"focused": true,
"sequentially": true,
"text": "<string>",
"assertion": "<string>",
"role": "<string>",
"name": "<string>",
"durationMs": 1,
"latitude": 123,
"longitude": 123,
"state": "offline"
}
}
],
"confidence": "medium",
"stepType": "act",
"truncated": true,
"startPath": "<string>",
"startScreen": "<string>",
"startScreenSignature": "<string>"
}
}
],
"uiActionIntervals": [
{
"startMs": 1,
"endMs": 1,
"kind": "click"
}
],
"recording": {
"storageKey": "<string>",
"fileName": "<string>",
"mediaType": "<string>"
}
},
"testPlan": {
"instructions": "<string>",
"focusAreas": [
"<string>"
],
"complexity": "simple",
"changeType": "frontend",
"steps": [
{
"title": "<string>",
"type": "act"
}
],
"executionConfig": {
"viewport": {
"width": 2080,
"height": 1200
}
}
},
"error": {
"code": "<string>",
"message": "<string>",
"stage": "<string>",
"retryable": true
},
"durationMs": 123,
"webhookUrl": "<string>",
"webhookStatus": "pending",
"testId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stepResults": [
{
"stepIndex": 123,
"status": "pending",
"startedAt": "<string>",
"completedAt": "<string>",
"error": "<string>",
"retried": true,
"errorCode": "AUTH_CREDENTIAL_UNAVAILABLE",
"summary": "<string>",
"startedAtMs": 123,
"completedAtMs": 123
}
],
"userName": "<string>",
"externalRef": {},
"executionMode": "fast",
"autoRetryCount": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}List test runs for the authenticated team with optional project/status filtering and cursor pagination.
GET
/
v1
/
runs
List test runs
Authorizations
API key authentication using Bearer token format
Query Parameters
Max results per page (default 20, max 100)
Pattern:
^(?:[1-9]|[1-9][0-9]|100)$Filter by status
Available options:
queued, running, completed, failed, cancelled Filter by project ID
Filter by test ID
Filter by group-run batch ID
Cursor for pagination